(in-package :araneida-examples)

;;; yuo need to edit this file for your local setup; at minimum the
;;; hostnames will need changing for ones that resolve to your computer.

;;; "Do NOT simply read the instructions in here without understanding
;;;  what they do"    -- Rob McCool, NCSA httpd.conf and its descendants

(defvar *araneida-site-name* "araneida.HOSTNAME-NOT-SET"
  "Serve the Araneida docs and examples from this hostname.  Must
be an alias for (or the name of) the machine that Araneida is running on")

(defvar *static-site-name* "static.HOSTNAME-NOT-SET"
  "Serve some unrelated static pages from this hostname.  Must
be an alias for (or the name of) the machine that Araneida is running on")

(defvar *apache-config-segment* "/tmp/apache.cf.inc"
  "Pathname that we should write with our bit of apache configuration")

(defvar *araneida-internal-port* 8000
  "Port number that this Araneida server should use (the target of the
Apache proxy)")

;;; the defaults for everything below here are probably reasonable for
;;; a Debian system

(defvar *static-pages-directory* #p"/usr/share/doc/"
  "The root directory that  *static-site-name* serves content from")

(defvar *araneida-source-directory*
  #.(let ((n (or *compile-file-pathname* *load-pathname*)))
      (make-pathname
       :host (pathname-host n)
       :device (pathname-device n)
       :directory (butlast (pathname-directory n))))
  "The directory in which to find source for the running Araneida")

(defvar *mime-types-file* "/etc/mime.types"
  "Pathname to system mime.types file (or NIL if none exists)")

